# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-12-13 17:37
from __future__ import unicode_literals

from django.db import migrations, models
import tinymce.models
import versatileimagefield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('program', '0015_note_audio_url'),
    ]

    operations = [
        migrations.AddField(
            model_name='host',
            name='biography',
            field=tinymce.models.HTMLField(blank=True, help_text='Describe yourself and your fields of interest in a few sentences.', null=True, verbose_name='Biography'),
        ),
        migrations.AddField(
            model_name='host',
            name='cba_url',
            field=models.URLField(blank=True, help_text='URL to your CBA profile.', verbose_name='CBA URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='dorftv_url',
            field=models.URLField(blank=True, help_text='URL to your dorfTV channel.', verbose_name='DorfTV URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='facebook_url',
            field=models.URLField(blank=True, help_text='URL to your Facebook profile.', verbose_name='Facebook URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='googleplus_url',
            field=models.URLField(blank=True, help_text='URL to your Google+ profile.', verbose_name='Google+ URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='height',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Height'),
        ),
        migrations.AddField(
            model_name='host',
            name='image',
            field=versatileimagefield.fields.VersatileImageField(blank=True, height_field='height', help_text="Upload a picture of yourself. Images are automatically cropped around the 'Primary Point of Interest'. Click in the image to change it and press Save.", null=True, upload_to='user_images', verbose_name='Profile picture', width_field='width'),
        ),
        migrations.AddField(
            model_name='host',
            name='linkedin_url',
            field=models.URLField(blank=True, help_text='URL to your LinkedIn profile.', verbose_name='LinkedIn URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='ppoi',
            field=versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20, verbose_name='Image PPOI'),
        ),
        migrations.AddField(
            model_name='host',
            name='twitter_url',
            field=models.URLField(blank=True, help_text='URL to your Twitter profile.', verbose_name='Twitter URL'),
        ),
        migrations.AddField(
            model_name='host',
            name='width',
            field=models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Image Width'),
        ),
        migrations.AddField(
            model_name='host',
            name='youtube_url',
            field=models.URLField(blank=True, help_text='URL to your Youtube channel.', verbose_name='Youtube URL'),
        ),
        migrations.AlterField(
            model_name='host',
            name='website',
            field=models.URLField(blank=True, help_text='URL to your personal website.', verbose_name='Website'),
        ),
        migrations.AlterField(
            model_name='timeslot',
            name='is_repetition',
            field=models.BooleanField(default=False, verbose_name='REP'),
        ),
    ]
